Create an OTP
curl --request POST \
--url https://api.flutterwave.com/v3/otps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"length": 7,
"customer": {
"name": "Example User",
"email": "user@gmail.com",
"phone": "08130000000"
},
"sender": "Example Business",
"send": true,
"medium": [
"email",
"whatsapp"
],
"expiry": 5
}
'import requests
url = "https://api.flutterwave.com/v3/otps"
payload = {
"length": 7,
"customer": {
"name": "Example User",
"email": "user@gmail.com",
"phone": "08130000000"
},
"sender": "Example Business",
"send": True,
"medium": ["email", "whatsapp"],
"expiry": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
length: 7,
customer: {name: 'Example User', email: 'user@gmail.com', phone: '08130000000'},
sender: 'Example Business',
send: true,
medium: ['email', 'whatsapp'],
expiry: 5
})
};
fetch('https://api.flutterwave.com/v3/otps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "OTP generated successfully",
"data": [
{
"medium": "email",
"reference": "CF-BARTER-20240318102713784653",
"otp": "5880211",
"expiry": "2024-03-18T10:32:14.1232277+00:00"
},
{
"medium": "whatsapp",
"reference": "CF-BARTER-20240318102714764558",
"otp": "5880211",
"expiry": "2024-03-18T10:32:14.7812808+00:00"
}
]
}{
"status": "error",
"message": "Please specify the following parameters in body: length",
"data": null
}Otps
Create an OTP
Generate a one time password (OTP) for your users
POST
/
otps
Create an OTP
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I